<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/common_padding"
    android:layout_marginBottom="@dimen/common_padding"
    android:background="@drawable/shape_corner_stroke_white"
    android:orientation="vertical"
    tools:viewBindingIgnore="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding"
        android:orientation="vertical"
        tools:ignore="UselessParent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:orientation="horizontal"
            tools:ignore="UseCompoundDrawables">

            <TextView
                android:id="@+id/payment_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/common_padding_huge"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:textColor="@color/text_color_blue"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <CheckBox
                android:id="@+id/check"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:theme="@style/CheckBoxTheme"/>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/payment_model"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/payment_model"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_small" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/bus_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/bus_name"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/bus_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding_small"
                android:background="@color/line_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/required_payment"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/required_payment"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_small" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/current_payment"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/current_payment"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_small" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/balance"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/balance"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_small" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/over_budget"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/over_budget"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_small" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_creator"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/payment_creator"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

            <View
                android:layout_width="@dimen/line"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/verify_name"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/verify_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_way"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/payment_way"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

            <View
                android:layout_width="@dimen/line"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/card_type"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/card_type"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/reject"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding_small"
                android:layout_weight="1"
                android:background="@drawable/shape_corner_delete"
                android:gravity="center"
                android:padding="@dimen/common_padding"
                android:text="@string/verify_reject"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/pass"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding_small"
                android:layout_weight="1"
                android:background="@drawable/shape_corner_solid_blue"
                android:gravity="center"
                android:padding="@dimen/common_padding"
                android:text="@string/verify_pass"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/revoke"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding_small"
                android:layout_weight="1"
                android:background="@drawable/shape_corner_reset_button"
                android:gravity="center"
                android:padding="@dimen/common_padding"
                android:text="@string/revoke"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_small"
                android:textStyle="bold"
                android:visibility="gone" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>